Get the CPU type for a virtual server (VM)

See which CPU type is configured for your virtual server. This is useful for understanding the performance characteristics and compatibility of your VM.

VPS & Cloud VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.currentCpu string · enum required · Example: host
custom-cpu-type
host
data.options array<string> required · Example: ["host"]
data.tier string required · Example: xs
data.vmStatus string · Example: running
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/cpu-type
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/cpu-type" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "currentCpu": "host",
    "tier": "xs",
    "vmStatus": "running",
    "options": [
      "host"
    ]
  }
}